Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 603304 - sys-fs/ocfs2-tools-1.8.2-r1 : mounted.c:(.text+<snip>): undefined reference to `makedev'
Summary: sys-fs/ocfs2-tools-1.8.2-r1 : mounted.c:(.text+<snip>): undefined reference t...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard: Pending removal: 2018-02-04
Keywords: PMASKED
Depends on:
Blocks: glibc-sysmacros
  Show dependency tree
 
Reported: 2016-12-21 09:23 UTC by Toralf Förster
Modified: 2018-03-11 10:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log (config.log,35.70 KB, text/plain)
2016-12-21 09:23 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,362.18 KB, text/plain)
2016-12-21 09:24 UTC, Toralf Förster
Details
environment (environment,206.04 KB, text/plain)
2016-12-21 09:24 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,22.37 KB, application/x-bzip2)
2016-12-21 09:24 UTC, Toralf Förster
Details
sys-fs:ocfs2-tools-1.8.2-r1:20161221-090530.log (sys-fs:ocfs2-tools-1.8.2-r1:20161221-090530.log,68.35 KB, text/plain)
2016-12-21 09:24 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-12-21 09:23:50 UTC
x86_64-pc-linux-gnu-gcc -Wall -march=native -O2 -pipe -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -pipe -Wl,-O1 -Wl,--as-needed  -o mounted.ocfs2 mounted.o ../libocfs2/libocfs2.a ../libo2dlm/libo2dlm.a ../libo2cb/libo2cb.a ../libtools-internal/libtools-internal.a -L../libocfs2 -locfs2 -laio -L../libo2dlm -lo2dlm   -L../libo2cb -lo2cb ../libtools-internal/libtools-internal.a -lcom_err   -luuid
mounted.o: In function `build_partition_list':
mounted.c:(.text+0x556): undefined reference to `makedev'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:30: mounted.ocfs2] Error 1
make[1]: Leaving directory '/var/tmp/portage/sys-fs/ocfs2-tools-1.8.2-r1/work/ocfs2-tools-1.8.2/mounted.ocfs2'


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-no-multilib-libressl-unstable_20161212-095903) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags in make.conf:
USE="  -openssl -gnutls libressl pax_kernel xtpax -cdinstall -oci8 -bindist ssp aes-ni cups dec_av2 drmkms ffmpeg -fortran fpm git glamor isag jadetex minizip mono -mta ois opus -plotutils png -scrypt -semantic-desktop sourceview -sqlite ssh truetype usb v4l2 wayland -wxwidgets -xa"
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *
llvm-config --version:
3.9.0

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.5 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy3 (fallback)

java-config:
The following VMs are available for generation-2:
  -----------------------------------------------------------------

Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/no-multilib, gcc-5.4.0, glibc-2.24, 4.8.15-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.15-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,   1939152 free
KiB Swap:   67108860 total,  67097560 free
Timestamp of repository gentoo: Wed, 21 Dec 2016 08:22:26 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.7.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.27::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.24::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 99

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Wall -march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /usr/lib64/tomoyo/conf /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/angband/gamedata/ /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl aes-ni amd64 berkdb bzip2 cli cracklib crypt cups cxx dec_av2 dri drmkms ffmpeg fpm gdbm git glamor iconv ipv6 isag jadetex libressl minizip mmx mmxext modules mono ncurses nls nptl ois openmp opus pam pax_kernel pcre png readline seccomp session sourceview sse sse2 ssh ssl ssp tcpd truetype unicode usb v4l2 wayland xattr xtpax zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="sr-ME" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-12-21 09:23:57 UTC
Created attachment 456940 [details]
config.log
Comment 2 Toralf Förster gentoo-dev 2016-12-21 09:24:00 UTC
Created attachment 456942 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-12-21 09:24:03 UTC
Created attachment 456944 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2016-12-21 09:24:07 UTC
Created attachment 456946 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2016-12-21 09:24:11 UTC
Created attachment 456948 [details]
sys-fs:ocfs2-tools-1.8.2-r1:20161221-090530.log
Comment 6 Andreas K. Hüttel gentoo-dev 2017-10-20 20:24:11 UTC
Ping - this is now blocking glibc-2.25 stabilization.
Comment 7 Pacho Ramos gentoo-dev 2018-03-11 10:42:06 UTC
Removed from the tree